function getPostProcessingResults( folderName )

    genName = getGeneratorName( folderName );
    
    excelFilePaths = getExcelFilePaths( folderName );
    excelFilePathsLen = length( excelFilePaths );

    for idx = excelFilePathsLen : -1 : 1
        excelFilePath = excelFilePaths( idx );

        if contains( excelFilePath, "Constant" )
            handleConstantLoadPostProcessing( genName, excelFilePath );

        elseif contains( excelFilePath, "NoLoad" )
            handleNoLoadPostProcessing( genName, excelFilePath );
            
        end 
    end
end